Page MenuHomePhabricator

Run the RelatedSites links removal script and disable extension
Closed, ResolvedPublic3 Story Points

Description

This is the final ticket for removing the extension from WMF wikis.

Once T201215: Write a script to remove RelatedSites links from pages on a given wiki is complete, we need to run the script on the following wikivoyages:

Event Timeline

Niharika created this task.Aug 24 2018, 6:22 PM
Niharika triaged this task as Low priority.
Niharika moved this task from Untriaged to Bug backlog on the Community-Tech board.

Hmm, I see it on other wikis, e.g. https://de.wikivoyage.org/wiki/Balthasar_Neumann

See description:

In progress ticket. More to come. See T201536: Contact wikivoyages with fewer than 500 pages using RelatedSites about deprecation

Niharika updated the task description. (Show Details)Sep 21 2018, 5:31 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Sep 21 2018, 6:00 PM
Niharika raised the priority of this task from Low to Normal.
Niharika moved this task from Bug backlog to To be estimated/discussed on the Community-Tech board.
Legoktm removed a subscriber: Legoktm.Sep 23 2018, 12:11 AM
MaxSem set the point value for this task to 3.
MaxSem claimed this task.

Do we have a permission to just unleash Community Tech bot on it? On which projects?

It looks like we still haven't informed the Pashto Wikivoyage (ps.wikivoyage.org).

It looks like we still haven't informed the Pashto Wikivoyage (ps.wikivoyage.org).

That wiki is very small apparently and does not even have a village pump. With only 2 pages using RelatedSites, I think it's fine to run the script there as well.

Do we have a permission to just unleash Community Tech bot on it? On which projects?

On all the projects listed in the ticket description.

Trying out the script on sv.wikivoyage.org, seems its working OK except for that it doesn't remove categories without under cores, e.g. it removes [[Kategori:Artiklar_med_länk_till_Commons|Category:East Asia]] but it leaves [[Kategori:Artiklar med länk till Commons|Category:East Asia]] untouched.

Don't use regexps to operate on categories or that config at all, there's dedicated category operations functionality under the More... tab.

MaxSem added a comment.Oct 3 2018, 7:50 PM

Mainspace done everywhere, other namespaces require more tinkering with list building because of all those images from Commons search returns.

Mainspace done everywhere, other namespaces require more tinkering with list building because of all those images from Commons search returns.

If this is a lot of additional work, I am okay with us not modifying the user pages.

MaxSem added a comment.EditedOct 5 2018, 10:53 PM

Nah, I've figured it out. Currently going through thousands of pages with {{wikipedia}} on pl:

MaxSem added a comment.EditedOct 10 2018, 5:57 AM

@MaxSem Checking off the completed ones in the task description would help me keep track more easily. Thanks.

MaxSem updated the task description. (Show Details)Oct 12 2018, 1:06 AM
MaxSem updated the task description. (Show Details)Oct 12 2018, 2:48 AM
MaxSem updated the task description. (Show Details)Oct 23 2018, 10:41 PM
MaxSem updated the task description. (Show Details)Oct 23 2018, 10:52 PM

Done with caveats, mostly need someone who can handle templates in Farsi. Question: what about English?

@MaxSem For this task we can now disable the extension on all of the wikis we have finished running the removal script on. For English, we need to do the same. It slipped my mind while creating this task. For Farsi, I'll see if we can get someone to help out. If not, we remove it (will make that a new ticket to avoid blocking this ticket).

MaxSem updated the task description. (Show Details)Oct 24 2018, 7:05 PM

Change 469495 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Undeploy RelatedSites from a few wikis

https://gerrit.wikimedia.org/r/469495

Change 469495 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy RelatedSites from a few wikis

https://gerrit.wikimedia.org/r/469495

@MaxSem This is all done now except Farsi and English, correct?

I didn't disable it on pt: and ro:, but now these wikis are sufficiently cleaned so I'll flip them off on Monday.

I didn't disable it on pt: and ro:, but now these wikis are sufficiently cleaned so I'll flip them off on Monday.

Is that done now?

Change 470920 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Undeploy RelatedSites from pt and ro Wikivoyages

https://gerrit.wikimedia.org/r/470920

@Ladsgroup Maybe you can help us out in figuring out the templates in Farsi? Max ran into issues when trying to cleanup RelatedSites links on the wiki. Your help would be appreciated.

Carlb added a subscriber: Carlb.Oct 31 2018, 10:52 PM

I see that RelatedSites links are being removed from some articles even though a replacement link of whatever form (templates, Wikidata...) is not present and is not being added, for example: https://en.wikivoyage.org/w/index.php?title=Wikivoyage%3AKeep_Wikivoyage_fun&type=revision&diff=3639962&oldid=2852033 removes a link to [[w:Project:Civility]] without replacing it with an equivalent link in some other form.

Is this the intention?

@Carlb - In most cases those links were migrated to the RelatedWikipedia template (or RelatedCommonsCat template). However, in the case of that page in particular, there is already a link to Wikipedia:Civility in the See also section, so using the RelatedWikipedia template would have been somewhat redundant. Alternately, you could create an interwiki link to Wikipedia:Civility in Wikidata if the two pages are roughly equivalent (which would add it to the sidebar). We've tried to migrate as many pages as possible without loosing links (especially in the main namespace), but the process isn't perfect. The links in the User, Wikivoyage, and Template namespaces were mostly just removed since these were considered less critical. Let us know if there are other pages we should re-visit, and sorry if the process hasn't been ideal.

Change 470920 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy RelatedSites from pt and ro Wikivoyages

https://gerrit.wikimedia.org/r/470920

Mentioned in SAL (#wikimedia-operations) [2018-10-31T23:53:44Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:470920|Undeploy RelatedSites from pt and ro Wikivoyages (T202761)]] (duration: 00m 54s)

I will help for Persian :)

I will help for Persian :)

That will be awesome! Thanks! @MaxSem can you coordinate with @Ladsgroup on this?

There are lots of usages of [[wikipedia:Foo]] and [[commons:Foo]] in Persian Wikivoyage but looking at the search, all of them are copy-paste errors that got propagated through template transclusions.

I fixed most of cases and members of the category went down from ~200 to 30 now, none of the remaining ones don't need fixing.

Thank you so much @Ladsgroup! I think we can proceed with fa:

@MaxSem I think disabling on fawikivoyage can be part of this ticket now.

English is done now too.

Change 471874 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Undeploy RelatedSites, part 1

https://gerrit.wikimedia.org/r/471874

Change 471875 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Undeploy RelatedSites, part 2

https://gerrit.wikimedia.org/r/471875

Change 471876 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/tools/release@master] Remove RelatedSites

https://gerrit.wikimedia.org/r/471876

Change 471874 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy RelatedSites, part 1

https://gerrit.wikimedia.org/r/471874

Change 471875 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy RelatedSites, part 2

https://gerrit.wikimedia.org/r/471875

Change 471876 merged by jenkins-bot:
[mediawiki/tools/release@master] Remove RelatedSites

https://gerrit.wikimedia.org/r/471876

MaxSem closed this task as Resolved.Nov 6 2018, 12:35 AM
MaxSem moved this task from In Development to Q2 2018-19 on the Community-Tech-Sprint board.
Niharika updated the task description. (Show Details)Nov 6 2018, 6:26 PM
Elitre removed a subscriber: Elitre.Nov 8 2018, 4:41 PM